Subject: bug#25204: 25.1.50; I can't change the scroll-lock setting when Emacs has the focus

From: Dani Moncayo <[email-masked]>
Date: Wed, 21 Dec 2016 08:55:03 +0100

>> For the record: I've just noticed the following inconsistency:
>>
>> The same Emacs (-Q) binary[1] have different behaviors on different
>> MS-Windows variants.  With w32-scroll-modifier set to nil:
>> * On Windows 7 and 10,  the scroll-lock key does _not_ toggle the setting.
>> * On Windows 2003 server,  the scroll-lock key _does_ toggle the setting.
>
> I cannot reproduce this here.  I tried on XP and Windows 7, and on
> both I see the LED blink for a small fraction of a second.  Maybe it's
> so fast on your systems that you don't notice?

No.  What you see is the same I see on Windows 7 and 10.  When I said
that the key "does not toggle the setting", I was referring to the
final outcome.  But the LED indeed blinks.

But as I said, from a Windows 2003 server[1], the scroll-lock key
_does_ toggle the key.  Hence the inconsistency.

-- 
Dani Moncayo

[1] FWIW: the windows 2003 server is a remote machine I access to, via
remote desktop, from my local windows 7 system.